undefined method `set_cookie_header!' for Rack::Utils:Module
Status: Closed Start date: 2011-04-04

Priority: High Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Upgraded to the latest revision (5304) and rails 2.3.11 and receive the following error. I have also tried back dating to 1.1.2 and

earlier with no luck... As well as trying 2.3.5 rails

/!\ FAILSAFE /!\  Mon Apr 04 08:33:49 +1000 2011

Status: 500 Internal Server Error

undefined method `set_cookie_header!' for Rack::Utils:Module

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/session/cookie_store.rb:118:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/failsafe.rb:26:in `call'

/var/lib/gems/1.8/gems/passenger-2.2.4/vendor/rack-1.0.0-git/lib/rack/lock.rb:11:in `call'

/var/lib/gems/1.8/gems/passenger-2.2.4/vendor/rack-1.0.0-git/lib/rack/lock.rb:11:in `synchronize'

/var/lib/gems/1.8/gems/passenger-2.2.4/vendor/rack-1.0.0-git/lib/rack/lock.rb:11:in `call'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.3.11/lib/action_controller/dispatcher.rb:106:in `call'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/rack/request_handler.rb:91:in `process_request'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_request_handler.rb:206:in `main_loop'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/railz/application_spawner.rb:376:in `start_request_handler'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/railz/application_spawner.rb:334:in `handle_spawn_application'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/utils.rb:182:in `safe_fork'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/railz/application_spawner.rb:332:in `handle_spawn_application'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:351:in `__send__'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:351:in `main_loop'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:195:in `start_synchronously'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:162:in `start'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:261:in `spawn_rails_application'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:254:in `spawn_rails_application'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:153:in `spawn_application'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:286:in `handle_spawn_application'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:351:in `__send__'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:351:in `main_loop'

/var/lib/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:195:in `start_synchronously'

/var/lib/gems/1.8/gems/passenger-2.2.4/bin/passenger-spawn-server:61

Starting mylyn-connector plugin for RedMine

History

#1 - 2011-04-04 01:02 - Jason van Dyk

Found out that running through webrick, everything works fine, problem is limited to running Redmine under Apache2.

#2 - 2011-04-04 10:05 - Etienne Massip

You should upgrade Rack to 1.1.0, see RedmineInstall.

#3 - 2011-04-04 10:08 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Requirements


#4 - 2011-06-04 00:51 - Jason van Dyk

- % Done changed from 0 to 100

For anyone else that gets this problem, upgrading passenger to a more recent version was the final solution for myself... which at the time isn't

mentioned as a requirement in the install guide.

#5 - 2011-06-04 14:12 - Etienne Massip

Feel free to update it, this could be useful to others indeed.

#6 - 2011-06-04 14:13 - Etienne Massip

Or just tell us which minimal Passenger version is required for whih Redmine version if you can't.

#7 - 2011-07-06 07:27 - Matt Williams

When I upgraded to 1.2 stable I ended up having to upgrade passenger. 3.0.7 was the current version at the time. The upgrade did make the error go

away. I can't confirm that is the minimum version of passenger you need, but it does work with Redmine 1.2 .
